Summary: A library for editing typed command lines
Name: readline
Version: 8.2
Release: 3%{?dist}
License: GPLv3+
URL: https://tiswww.case.edu/php/chet/readline/rltop.html
Source0: ftp://ftp.gnu.org/gnu/readline/readline-%{version}.tar.gz

Patch0001: readline-8.2-patch-1.patch
Patch3000: readline-8.0-shlib.patch

BuildRequires: make gcc ncurses-devel

%description
The GNU Readline library provides a set of functions that allow users to
edit typed command lines. Both Emacs and vi editing modes are available. It 
includes additional functions for maintaining a list of previously-entered 
command lines for recalling or editing those lines, and for performing csh-like 
history expansion on previous commands.

%package devel
Summary: Files needed to develop programs which use the readline library
Requires: %{name} = %{version}-%{release}

%description devel
readline-devel package should be installed for uses who want to develop programs 
that will use the readline library to edit typed command lines.

%package static
Summary: Static libraries for the readline library
Requires: %{name}-devel = %{version}-%{release}

%description static
The readline-static package contains the static version of the readline
library.

%prep
%autosetup -p1

%build
%configure --with-curses --disable-install-examples
%make_build

%install
%make_install

rm -vrf %{buildroot}%{_docdir}/readline
rm -vf %{buildroot}%{_infodir}/dir*

%files
%license COPYING USAGE
%{_libdir}/libreadline.so.*
%{_libdir}/libhistory.so.*
%{_infodir}/history.info*
%{_infodir}/rluserman.info*

%files devel
%doc CHANGES NEWS README
%doc examples/*.c examples/*.h examples/rlfe
%{_includedir}/readline/
%{_libdir}/libreadline.so
%{_libdir}/libhistory.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/history.pc
%{_mandir}/man3/readline.3*
%{_mandir}/man3/history.3*
%{_infodir}/readline.info*

%files static
%{_libdir}/libreadline.a
%{_libdir}/libhistory.a

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 28 2023 Shuo Wang <abushwang@tencent.com> - 8.2-1
- update to 8.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 24 2022 Cheng Xin <denisecheng@tencent.com> - 8.1-1
- package init.
